import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const slaughterPayingFeesManual = createAsyncThunk(
  "SLAUGHTER_PAYING_FEES_MANUAL",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.post("wage_payment/", d);
    dispatch(LOADING_END());
    return { data, status };
  }
);
